/* global LZString */
/* global importScripts */

importScripts("lz-string.js");

self.addEventListener("message",function(e) {

    var fileString = e.data.data;
    var compressed = null;

    // https://github.com/pieroxy/lz-string

    if(e.data.method == "compress") {
        compressed = LZString.compressToEncodedURIComponent(fileString);
    }

    if(e.data.method == "decompress") {
        compressed = LZString.decompressFromEncodedURIComponent(fileString);
    }

    if(compressed == null) {
        self.postMessage({ "status": "fail", "data": null });
    } else {
        self.postMessage({ "status": "complete", "data": compressed });
    }

    
    self.close();
});